graphics/jpegpixi - The NetBSD Packages Collection

Low-loss JPEG interpolator to remove bad pixels

Jpegpixi is short for JPEG Pixel Interpolator. The intent of the
program is to interpolate pixels (single pixels, dots, stripes) in
JPEG images.  This is useful to correct images from a digital camera
with CCD defects.  For example, if one pixel is always bright green,
this pixel can be interpolated with jpegpixi.

Jpegpixi is unique in that it tries to preserve the quality of the
JPEG image as much as possible.  Usual graphics programs decode JPEG
images when they are loaded, and re-encode them when they are saved,
which results in an overall loss of quality.  Jpegpixi, on the other
hand, only decodes the DCT blocks (typically 8x8, 16x8, or 16x16 pixel
areas) which contain pixels to be interpolated, and when it re-encodes
them, it uses exactly the same parameters with which the image has
originally been encoded.  These blocks are therefore only minimally
disturbed, and other blocks remain pixel-by-pixel identical to the
original image.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

graphics/jpeg graphics/jpeg

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfjpegpixi-1.1.1nb3.tgz
NetBSD 8.0earmv7hfjpegpixi-1.1.1nb3.tgz
NetBSD 8.0earmv7hfjpegpixi-1.1.1nb3.tgz
NetBSD 8.0i386jpegpixi-1.1.1nb3.tgz
NetBSD 8.0i386jpegpixi-1.1.1nb3.tgz
NetBSD 8.0i386jpegpixi-1.1.1nb3.tgz
NetBSD 8.0powerpcjpegpixi-1.1.1nb3.tgz
NetBSD 8.0powerpcjpegpixi-1.1.1nb3.tgz
NetBSD 8.0powerpcjpegpixi-1.1.1nb3.tgz
NetBSD 8.0x86_64jpegpixi-1.1.1nb3.tgz
NetBSD 8.0x86_64jpegpixi-1.1.1nb3.tgz
NetBSD 9.0aarch64jpegpixi-1.1.1nb3.tgz
NetBSD 9.0aarch64jpegpixi-1.1.1nb3.tgz
NetBSD 9.0aarch64jpegpixi-1.1.1nb3.tgz
NetBSD 9.0alphajpegpixi-1.1.1nb3.tgz
NetBSD 9.0alphajpegpixi-1.1.1nb3.tgz
NetBSD 9.0alphajpegpixi-1.1.1nb3.tgz
NetBSD 9.0earmv6hfjpegpixi-1.1.1nb3.tgz
NetBSD 9.0earmv6hfjpegpixi-1.1.1nb3.tgz
NetBSD 9.0earmv6hfjpegpixi-1.1.1nb3.tgz
NetBSD 9.0earmv6hfjpegpixi-1.1.1nb3.tgz
NetBSD 9.0earmv7hfjpegpixi-1.1.1nb3.tgz
NetBSD 9.0earmv7hfjpegpixi-1.1.1nb3.tgz
NetBSD 9.0earmv7hfjpegpixi-1.1.1nb3.tgz
NetBSD 9.0earmv7hfjpegpixi-1.1.1nb3.tgz
NetBSD 9.0i386jpegpixi-1.1.1nb3.tgz
NetBSD 9.0i386jpegpixi-1.1.1nb3.tgz
NetBSD 9.0mips64ebjpegpixi-1.1.1nb3.tgz
NetBSD 9.0mips64ebjpegpixi-1.1.1nb3.tgz
NetBSD 9.0mips64ebjpegpixi-1.1.1nb3.tgz
NetBSD 9.0powerpcjpegpixi-1.1.1nb3.tgz
NetBSD 9.0powerpcjpegpixi-1.1.1nb3.tgz
NetBSD 9.0sparc64jpegpixi-1.1.1nb3.tgz
NetBSD 9.0sparc64jpegpixi-1.1.1nb3.tgz
NetBSD 9.0sparc64jpegpixi-1.1.1nb3.tgz
NetBSD 9.0sparc64jpegpixi-1.1.1nb3.tgz
NetBSD 9.0sparcjpegpixi-1.1.1nb3.tgz
NetBSD 9.0x86_64jpegpixi-1.1.1nb3.tgz
NetBSD 9.0x86_64jpegpixi-1.1.1nb3.tgz
NetBSD 9.0x86_64jpegpixi-1.1.1nb3.tgz
NetBSD 9.0x86_64jpegpixi-1.1.1nb3.tgz
NetBSD 9.0x86_64jpegpixi-1.1.1nb3.tgz
NetBSD 9.0x86_64jpegpixi-1.1.1nb3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.